Bug 1695275 - Kernel versions 5.0.* fails to boot on Dell XPS 15 9570 [NEEDINFO]
Summary: Kernel versions 5.0.* fails to boot on Dell XPS 15 9570
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-02 18:32 UTC by Chad Quickstad
Modified: 2019-09-17 20:03 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-17 20:03:29 UTC
jforbes: needinfo? (cquickstad)


Attachments (Terms of Use)
journalctl output from a failed attempt to boot kernel 5.0.5-200 on a Dell XPS 15 9570 (268.65 KB, text/plain)
2019-04-02 18:32 UTC, Chad Quickstad
no flags Details

Description Chad Quickstad 2019-04-02 18:32:43 UTC
Created attachment 1551107 [details]
journalctl output from a failed attempt to boot kernel 5.0.5-200 on a Dell XPS 15 9570

1. Please describe the problem:

I have not been able to boot my Dell XPS 15 9570 laptop on any of the 5.0.* kernel versions.  To boot, I must select an older 4.* kernel from the grub menu.

When booting a 5.0.* Kernel, the laptop's display flashes from black to black in about 1-second intervals, as if the back-light is turning on and off (see https://youtu.be/knW6GDpIDmM).  When I plug in an external display to the laptop's HDMI port, I am able to see output on the display and see the prompt for the partition encryption password.  After entering in the password, the machine continues to boot, but then hangs with both internal and external displays flashing.

All of the 5.0.* kernels have this behavior.  None of the 4.* kernels have had this behavior.

After searching around on Google, I suspect others may be having the same problem, such as this guy:
https://ask.fedoraproject.org/en/question/134359/installed-50-kernel-broke-my-os/

When I compare the journalctl output from a successful kernel 4 boot to a failed kernel 5 boot, I notice that there are hundreds of messages in the kernel 5 log of this sort:

Apr 02 10:07:21 gsd-color[1821]: no xrandr-DP-1 device found: Failed to find output xrandr-DP-1
Apr 02 10:07:21 gsd-color[1821]: no xrandr-DP-3 device found: Failed to find output xrandr-DP-3
Apr 02 10:07:21 gsd-color[1821]: no xrandr-eDP-1 device found: Failed to find output xrandr-eDP-1
Apr 02 10:07:21 gsd-color[1821]: no xrandr-DP-1 device found: Failed to find output xrandr-DP-1
Apr 02 10:07:21 gsd-color[1821]: no xrandr-DP-3 device found: Failed to find output xrandr-DP-3
Apr 02 10:07:21 gsd-color[1821]: no xrandr-eDP-1 device found: Failed to find output xrandr-eDP-1

The 1 to 2 second gap in the timestamp interval between the messages, and the display-related nature of the message, makes me suspicious that this message corresponds with the flashing of the displays.


2. What is the Version-Release number of the kernel:

Linux version 5.0.5-200.fc29.x86_64 (mockbuild@bkernel04.phx2.fedoraproject.org) (gcc version 8.3.1 20190223 (Red Hat 8.3.1-2) (GCC)) #1 SMP Wed Mar 27 20:58:04 UTC 2019


3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

kernel-4.20.15-200.fc29 was working.  When I ran dnf update and got kernel-5.0.1-300.fc29, it did not boot.  All kernel-5.0.* versions released since have not booted, including the more recent: 5.0.5-200.fc29

I tried re-installing with a fresh install of Fedora 29 on my machine. It installs with 4.18.16-300.fc29.x86_64, but as soon as I run a dnf update and get a 5.0.* kernel, it fails to boot.


4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

This issue is extremely reproducible:
* Get a Dell XPS 15 9570 laptop.
* Shrink the Windows partition
* Change the BIOS/UEFI options to turn off quick boot and secure boot and other options that don't work with Linux.
* Install Fedora 29 Workstation from a USB drive.
* Choose to encrypt the Fedora partition during the installation.
* Reboot after successful installation.
* Run 'sudo dnf update --refresh' and obtain a 5.0.* version kernel.
* Reboot.
* Watch the display flash (https://youtu.be/knW6GDpIDmM)


5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

I tried those steps, but I get the following error:

warning: /var/cache/dnf/rawhide-2d95c80a1fa0a67d/packages/kernel-5.1.0-0.rc2.git4.1.fc31.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 3c3359c4: NOKEY
Fedora - Rawhide - Developmental packages for the next Fedora release                                                                                                              1.6 MB/s | 1.6 kB     00:00    
Importing GPG key 0x429476B4:
 Userid     : "Fedora 29 (29) <fedora-29@fedoraproject.org>"
 Fingerprint: 5A03 B4DD 8254 ECA0 2FDA 1637 A20A A56B 4294 76B4
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-29-x86_64
Is this ok [y/N]: y
Key imported successfully
Import of key(s) didn't help, wrong key(s)?
Public key for kernel-5.1.0-0.rc2.git4.1.fc31.x86_64.rpm is not installed. Failing package is: kernel-5.1.0-0.rc2.git4.1.fc31.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-29-x86_64
Public key for kernel-core-5.1.0-0.rc2.git4.1.fc31.x86_64.rpm is not installed. Failing package is: kernel-core-5.1.0-0.rc2.git4.1.fc31.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-29-x86_64
Public key for kernel-modules-5.1.0-0.rc2.git4.1.fc31.x86_64.rpm is not installed. Failing package is: kernel-modules-5.1.0-0.rc2.git4.1.fc31.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-29-x86_64
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: GPG check FAILED


6. Are you running any modules that not shipped with directly Fedora's kernel?:

No.  This happens on a fresh install.


7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Attachment added.

Comment 1 Mattia Basone 2019-04-02 19:43:03 UTC
I've the same Dell model and the same issue. I've also tried to boot all the 5.0.* kernel release without success.

Comment 2 Chad Quickstad 2019-04-02 20:27:22 UTC
To install the last version 4 kernel before the version 5 kernel was released, run the following commands:

wget https://kojipkgs.fedoraproject.org//packages/kernel/4.20.16/200.fc29/x86_64/kernel-modules-4.20.16-200.fc29.x86_64.rpm \
 https://kojipkgs.fedoraproject.org//packages/kernel/4.20.16/200.fc29/x86_64/kernel-core-4.20.16-200.fc29.x86_64.rpm \
 https://kojipkgs.fedoraproject.org//packages/kernel/4.20.16/200.fc29/x86_64/kernel-4.20.16-200.fc29.x86_64.rpm

sudo dnf install kernel-4.20.16-200.fc29.x86_64.rpm \
  kernel-core-4.20.16-200.fc29.x86_64.rpm \
  kernel-modules-4.20.16-200.fc29.x86_64.rpm

Also, you can keep older kernels around longer by editing /etc/dnf/dnf.conf and changing installonly_limit to the number of kernels you wish to be kept when dnf runs an update.  If you can't boot a 5.0.* kernel, then increase it to a large enough value to keep the last 4.* kernel in your grub boot menu.

If you put exclude=kernel in /etc/dnf/dnf.conf, then dnf will not update the kernel.

Of course, once this bug is fixed, you will want to remove these changes to ensure that you upgrade to the latest kernel.

Comment 3 Evan Anderson 2019-04-02 23:23:02 UTC
This is a known issue with i915 display initialization that causes certain eDP panels to fail link training. https://bugs.freedesktop.org/show_bug.cgi?id=109959 documents the issue and root cause on the i915 side.

The patch is in review on the Freedesktop patchwork: https://patchwork.freedesktop.org/series/58893/

This bug looks like a duplicate of 1693365 and 1694786.

Comment 4 Robert Strube 2019-04-10 21:05:29 UTC
I have a Dell XPS 9575 and can confirm that I'm also impacted by the same bug.

Comment 5 Robert Strube 2019-04-11 16:51:54 UTC
Does anybody know if(kernel-5.0.7-300.fc30) resolves this issue?  https://koji.fedoraproject.org/koji/search?terms=kernel-5.0.7-300.fc30&type=build&match=glob

I checked out the chaneglog but I didn't see anything mentioned related to this issue.

Comment 6 Evan Anderson 2019-04-12 02:21:46 UTC
The new patch is still under review on the i915 side. Until it's merged to the i915 development repos, it won't be in a stable kernel release.

https://patchwork.freedesktop.org/patch/296273/

Comment 7 Evan Anderson 2019-04-12 02:34:25 UTC
(In reply to Evan Anderson from comment #6)
> The new patch is still under review on the i915 side. Until it's merged to
> the i915 development repos, it won't be in a stable kernel release.
> 
> https://patchwork.freedesktop.org/patch/296273/

Actually, looks like https://patchwork.freedesktop.org/patch/296408/ has been merged to i915 latest as https://cgit.freedesktop.org/drm-intel/commit/?h=for-linux-next-fixes&id=21635d7311734d2d1b177f8a95e2f9386174b76d and is included in kernel-5.0.7-300 on Fedora.

https://src.fedoraproject.org/rpms/kernel/c/363f1a0d2f1057ac41ed8661f47218c2de0dda65?branch=f30

Comment 8 Robert Strube 2019-04-12 04:02:40 UTC
That's fantastic news! Without this patch it would be far more challenging to install the Fedora 30 release for many laptop owners (many Dell laptops at least), where the panels are failing training on boot.  Hopefully kernel-5.0.7-300 (or something later) is included with the Fedora 30 release ISO!

Comment 9 Chad Quickstad 2019-04-15 21:11:06 UTC
Fixed in Fedora kernel 5.0.7-200.fc29.x86_64.  After upgrading to it, it booted on my Dell 9570 and I'm running it right now!

Can we move this bug to fixed?

Comment 10 Justin M. Forbes 2019-08-20 17:40:20 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 5.2.9-100.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.

If you experience different issues, please open a new bug report for those.

Comment 11 Justin M. Forbes 2019-09-17 20:03:29 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.